package handler

import (
	"context"
	"eslogad-be/internal/contract"
)

type AuthService interface {
	Login(ctx context.Context, req *contract.LoginRequest) (*contract.LoginResponse, error)
	ValidateToken(tokenString string) (*contract.UserResponse, error)
	RefreshToken(ctx context.Context, tokenString string) (*contract.LoginResponse, error)
	Logout(ctx context.Context, tokenString string) error
}
